<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::OptimisedUtil Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1OptimisedUtil.html">Ogre::OptimisedUtil</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OptimisedUtil.html#bf6a2bcd2039d05d83671e2da3140112">_detectImplementation</a>(void)</td><td><a class="el" href="classOgre_1_1OptimisedUtil.html">Ogre::OptimisedUtil</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OptimisedUtil.html#7fa20b34357e375a489383f0ccb4a15c">calculateFaceNormals</a>(const float *positions, const EdgeData::Triangle *triangles, Vector4 *faceNormals, size_t numTriangles)=0</td><td><a class="el" href="classOgre_1_1OptimisedUtil.html">Ogre::OptimisedUtil</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OptimisedUtil.html#9270e6273fcf190d039030bd5de1df2f">calculateLightFacing</a>(const Vector4 &amp;lightPos, const Vector4 *faceNormals, char *lightFacings, size_t numFaces)=0</td><td><a class="el" href="classOgre_1_1OptimisedUtil.html">Ogre::OptimisedUtil</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OptimisedUtil.html#45b0aaad519e4cace9ca37124f4e646d">concatenateAffineMatrices</a>(const Matrix4 &amp;baseMatrix, const Matrix4 *srcMatrices, Matrix4 *dstMatrices, size_t numMatrices)=0</td><td><a class="el" href="classOgre_1_1OptimisedUtil.html">Ogre::OptimisedUtil</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OptimisedUtil.html#5b411cfc1b916483d75df4f4f9c86252">extrudeVertices</a>(const Vector4 &amp;lightPos, Real extrudeDist, const float *srcPositions, float *destPositions, size_t numVertices)=0</td><td><a class="el" href="classOgre_1_1OptimisedUtil.html">Ogre::OptimisedUtil</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OptimisedUtil.html#ec3039ddfa064375bb4065a4415a8eda">getImplementation</a>(void)</td><td><a class="el" href="classOgre_1_1OptimisedUtil.html">Ogre::OptimisedUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OptimisedUtil.html#f1214c854c521f84997b5ddf77f1a3a5">msImplementation</a></td><td><a class="el" href="classOgre_1_1OptimisedUtil.html">Ogre::OptimisedUtil</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OptimisedUtil.html#e8975dc2a98c5ae3eb511e8a0336e51e">operator=</a>(const OptimisedUtil &amp;rhs)</td><td><a class="el" href="classOgre_1_1OptimisedUtil.html">Ogre::OptimisedUtil</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OptimisedUtil.html#cd57a62f0ea9db4ef52b4d39d83fd019">OptimisedUtil</a>(const OptimisedUtil &amp;rhs)</td><td><a class="el" href="classOgre_1_1OptimisedUtil.html">Ogre::OptimisedUtil</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OptimisedUtil.html#4f137d0ced0f82abd042d9b4eb99b105">OptimisedUtil</a>(void)</td><td><a class="el" href="classOgre_1_1OptimisedUtil.html">Ogre::OptimisedUtil</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OptimisedUtil.html#c9a4963cc333c8a175f5759a602777ab">softwareVertexMorph</a>(Real t, const float *srcPos1, const float *srcPos2, float *dstPos, size_t numVertices)=0</td><td><a class="el" href="classOgre_1_1OptimisedUtil.html">Ogre::OptimisedUtil</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OptimisedUtil.html#69ac35f1a13aa95e2352d0fbbbb204b9">softwareVertexSkinning</a>(const float *srcPosPtr, float *destPosPtr, const float *srcNormPtr, float *destNormPtr, const float *blendWeightPtr, const unsigned char *blendIndexPtr, const Matrix4 *const *blendMatrices, size_t srcPosStride, size_t destPosStride, size_t srcNormStride, size_t destNormStride, size_t blendWeightStride, size_t blendIndexStride, size_t numWeightsPerVertex, size_t numVertices)=0</td><td><a class="el" href="classOgre_1_1OptimisedUtil.html">Ogre::OptimisedUtil</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OptimisedUtil.html#7d548511ecbd6b39d6d1689ce30db8f2">~OptimisedUtil</a>()</td><td><a class="el" href="classOgre_1_1OptimisedUtil.html">Ogre::OptimisedUtil</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:00 2008
</p>
</body>
</html>
